import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
public class CSoundTableDriver implements ActionListener {

	JPanel panel = null;
	JPanel spanel = null;
	JPanel getPanel() {
		if (panel == null) {
			panel = new JPanel();
			panel.setLayout(new BoxLayout(panel,BoxLayout.Y_AXIS));
		}
		if (spanel == null) {
			spanel = new JPanel();
			spanel.setLayout(new BorderLayout());
			spanel.add(new JScrollPane(panel),BorderLayout.CENTER);
		}
		JPanel controlPanel = new JPanel();
		controlPanel.setLayout(new GridLayout(1,1));
		JButton addTableButton = new JButton("ADD");
		controlPanel.add(addTableButton);
		addTableButton.addActionListener(this);
		spanel.add(controlPanel,BorderLayout.EAST);

		CSoundTableDriver c = new CSoundTableDriver();
		addTable();
		return spanel;
	}
	int lastTable = 0;
	void addTable() {
		CSoundTable table = new CSoundTable();
		lastTable++;
		table.setTable(lastTable);
		table.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED));
		panel.add(table);
		panel.updateUI();
		spanel.updateUI();
	}

	public static void main(String [] arg) {
		JFrame mainFrame = new JFrame("Abram's Table Editor");
		CSoundTableDriver c = new CSoundTableDriver();
                mainFrame.getContentPane().add(c.getPanel());
                java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize(); 
		screenSize.setSize((int)(screenSize.getWidth()*.7),(int)(screenSize.getHeight()*.7));
                mainFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                mainFrame.setSize(screenSize);
                mainFrame.setVisible(true);
	}
	public void actionPerformed(ActionEvent e) {
		addTable();
	}
}
